require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to test the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator. If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails. There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.

RSpec.describe '/admin', type: :request do
  let(:user) { FactoryBot.create(:user) }
  # let(:methodology) { FactoryBot.create(:methodology, :with_step_1) }

  before :each do
    # user.usersession[:active_step_tool] = methodology.steps.first.step_tools.first.id
    # user.save!
    sign_in user
  end

  # describe 'GET /index' do
  #   it 'renders a successful response' do
  #     get admin_index_url
  #     expect(response).to be_successful
  #   end
  # end
  context 'Admin controller : index' do
    pending('En attente de solution : le test plante sur GitLab => en lien à la classe Pundit AdminPolicy')
  end
end
